Skip to content

AgentsController_create

POST
/api/agents
curl --request POST \
--url https://api.streams-ai.com/api/agents \
--header 'Content-Type: application/json' \
--data '{ "providerType": "custom_webhook", "authMode": "api_key", "name": "example", "avatarAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "credentialId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "config": {}, "instructions": "example", "templateId": "example", "capabilities": { "streaming": false, "tools": [] }, "endpointUrl": "https://example.com" }'
Media typeapplication/json
object
providerType
string
default: custom_webhook
Allowed values: custom_webhook custom_token_only claude mistral elevenlabs copilot_studio cursor
authMode
string
Allowed values: api_key direct_line none
name
required
string
>= 1 characters <= 120 characters
avatarAssetId
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
credentialId
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
config
object
key
additional properties
instructions
string
<= 20000 characters
templateId
string
capabilities
object
streaming
boolean
tools
Array<string>
default: <= 50 items
endpointUrl
string format: uri
<= 2048 characters